Trigger data export. - m3ter Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.


Trigger data export.

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/dataexports/adhoc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceType": "<unknown>",
  "operationalDataTypes": [],
  "version": 123,
  "destinationIds": [\
    "<string>"\
  ],
  "exportFileFormat": "<unknown>",
  "startDate": "2023-11-07T05:31:56Z"
}
'```

### Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexports/adhoc"

payload = { "sourceType": "", "operationalDataTypes": [], "version": 123, "destinationIds": [""], "exportFileFormat": "", "startDate": "2023-11-07T05:31:56Z" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" }

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript

const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: JSON.stringify({ sourceType: '', operationalDataTypes: [], version: 123, destinationIds: [''], exportFileFormat: '', startDate: '2023-11-07T05:31:56Z' }) };

fetch('https://api.m3ter.com/organizations/{orgId}/dataexports/adhoc', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP
"https://api.m3ter.com/organizations/{orgId}/dataexports/adhoc",\ CURLOPT_RETURNTRANSFER => true,\ CURLOPT_ENCODING => "",\ CURLOPT_MAXREDIRS => 10,\ CURLOPT_TIMEOUT => 30,\ CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\ CURLOPT_CUSTOMREQUEST => "POST",\ CURLOPT_POSTFIELDS => json_encode([\ 'sourceType' => '',\ 'operationalDataTypes' => [\ \ ],\ 'version' => 123,\ 'destinationIds' => [\ ''\ ],\ 'exportFileFormat' => '',\ 'startDate' => '2023-11-07T05:31:56Z'\ ]),\ CURLOPT_HTTPHEADER => [\ "Authorization: Bearer ",\ "Content-Type: application/json"\ ],\ ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/dataexports/adhoc"

payload := strings.NewReader("{\n "sourceType": "",\n "operationalDataTypes": [],\n "version": 123,\n "destinationIds": [\n ""\n ],\n "exportFileFormat": "",\n "startDate": "2023-11-07T05:31:56Z"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}


### Response Codes

- **200**  
Response contains job ID for the ad-hoc data export.

- **4XX**  
Client error.

- **5XX**  
Server error.

### Example Response

{ "jobId": "" }


### authorizations

#### Authorization

string  
header   
required

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

#### Path Parameters

- **orgId**  
string  
required  
UUID of the organization

#### Body

application/json
- **sourceType**  
any  
required
- **operationalDataTypes**  
enum<string>[]  
required
- **version**  
integer<int64>  
- **destinationIds**  
string[]  
The destination ids.
- **exportFileFormat**  
any  
- **startDate**  
string<date-time>  
The inclusive start date for the data export.

---

This documentation outlines the API for triggering an ad-hoc data export.